---
layout: docs
page_title: 'Commands: node pool jobs'
description: |
  The node pool jobs command is used to list jobs in node pool.
---

# Command: node pool jobs

The `node pool jobs` command is used to list jobs in a node pool.

## Usage

```plaintext
nomad node pool jobs [options] <node-pool>
```

If ACLs are enabled, this command requires a token with the `read` capability in
a `node_pool` policy that matches the node pool being targeted. The results will
be filtered by the namespaces where the token has `read-job` capability.

## General Options

@include 'general_options.mdx'

## Jobs Options

- `-filter`: Specifies an expression used to [filter results][api_filtering].

- `-json`: Output the jobs in JSON format.

- `-page-token`: Where to start [pagination][api_pagination].

- `-per-page`: How many results to show per page. If not specified, or set to
  `0`, all results are returned.

- `-t`: Format and display jobs using a Go template.

## Examples

List jobs in a specific namespace in the `prod` node pool:

```shell-session
$ nomad node pool jobs -namespace default prod
ID       Type     Priority  Status          Submit Date
job1     service  80        running         07/25/17 15:47:11 UTC
job2     batch    40        complete        07/24/17 19:22:11 UTC
job3     service  50        dead (stopped)  07/22/17 16:34:48 UTC
```

List jobs in all namespaces in the `prod` node pool:

```shell-session
$ nomad node pool jobs -namespace '*' prod
ID       Namespace  Type     Priority  Status          Submit Date
job1     default    service  80        running         07/25/17 15:47:11 UTC
job2     default    batch    40        complete        07/24/17 19:22:11 UTC
job3     system     service  50        dead (stopped)  07/22/17 16:34:48 UTC
```

Paginate list:

```shell-session
$ nomad node pool jobs -per-page 2 prod
ID       Type     Priority  Status          Submit Date
job1     service  80        running         07/25/17 15:47:11 UTC
job2     batch    40        complete        07/24/17 19:22:11 UTC

Results have been paginated. To get the next page run:

nomad node pool jobs -per-page 2 -page-token job3 prod

$ nomad node pool jobs -per-page 2 -page-token job3 prod
ID       Type     Priority  Status          Submit Date
job3     service  50        dead (stopped)  07/22/17 16:34:48 UTC
```

[api_filtering]: /nomad/api-docs#filtering
[api_pagination]: /nomad/api-docs#pagination
